Bug 28242 - vfat long filename accented chars support broken after glibc update
vfat long filename accented chars support broken after glibc update
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-18 19:01 EST by Risto Hvlttd
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-23 16:10:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Risto Hvlttd 2001-02-18 19:01:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i586)


When I list directories on vfat partitions of the machine, accented chars
(scandinavian characters) list as blank spaces in Gnome fm, question marks
(?) in text console. This happens at least with long filenames.

Reproducible: Didn't try
Steps to Reproduce (probably):
 1. Install RH7.0 or: Install RH6.2 and upgrade to 7.0...
 2. Apply all updates for RH7.0 ('rpm -Fvh *.rpm')
 3. Mount vfat partition(s) (defaults or any codepage/char set)
 4. Try to list directories on vfat partitions that have scandinavian chars
in filenames
 5. Scandinavian chars show as ? in text console, space in Gnome FM

	

Actual Results:  With RH6.2 and 7.0 (no updates) scandinavian chars
translated as expected but after installing all updates available on
2001-02-12, the translation ceased functioning. Glibc-2.2-12 was upgraded
according to instructions in RHSA-2001-001.

Expected Results:  No change in character set translation.

Scandinavian chars still show normally in ext2fs partitions. The bug might
also be somewhere else in the updates...
Comment 1 Jakub Jelinek 2001-02-23 16:10:29 EST
Can you please provide a tar with some of such files (they can have
zero or minimal lengths), if it is reproduceable by mounting vfat,
unpacking such tar and listing (do you mean ls on the text console?)?
Comment 2 Risto Hvlttd 2001-02-25 17:30:47 EST
Hi!

Thanks for responding. I have studied this a little more (asked some experts) and it seems to be clear that this has nothing to do with glibc update but 
something else (most probably mount update) in security updates or bug fixes.

I also found a workaround: mount vfat partitions with the following options in fstab:
/dev/hda1               /mnt/win_c                vfat            codepage=437,iocharset=iso8859-1,defaults        0 0

Without iocharset setting, the scandinavian chars don't show normally in filenames.

For example:
Original filename "sata kesdd tuhat yvtd.mp3"
shows like "sata kes?? tuhat y?t?.mp3" in text console (with ls)
and "sata kes tuhat yt.mp3" in gnome file manager. Some gnome applications also show spaces in the place of scandinavian chars.

I have not updated the RH7.0 original kernel yet but I'm using KEYTABLE=fi-latin1 setting in /etc/sysconfig/keyboard. Without this setting the 
scandinavian characters did not work at all in text mode (after the security and bug fix updates). 

It also seems that not everybody that has updated their RH7.0 system has encountered this phenomenon but there are other cases. The workaround I 
found is good enough for me but I'd still like to know what caused the change.

***Risto***
Comment 3 Risto Hvlttd 2001-02-25 17:35:38 EST
Additional note: This bugzilla does not support scandinavian characters correctly: the filename I used as an example is "sata kes[a with two dots on 
top][a with two dots on top] tuhat y[o with two dots on top]t[a with two dots on top].mp3. Hope this is clear enough.

***Risto***

Note You need to log in before you can comment on or make changes to this bug.